Consulter Cash Out par E2E ID
Consulte une transaction PIX par l'End-to-End ID, l'identifiant unique attribue par le BACEN dans le Systeme de Paiements Instantanes (SPI).
Endpoint
GET /api/external/transactions/e2e/:e2e_idEn-tetes
| En-tete | Type | Obligatoire | Description |
|---|---|---|---|
Authorization | String | Oui | ApiKey {client_id}:{client_secret} |
Path Parameters
| Parametre | Type | Obligatoire | Description |
|---|---|---|---|
e2e_id | String | Oui | End-to-End ID (format : E{ISPB}{YYYYMMDDHHmm}{sequentiel}) |
Format de l'E2E ID
L'End-to-End ID suit le standard BACEN : E + ISPB (8 chiffres) + date/heure (12 chiffres) + sequentiel. Exemple : E37839059202603091530abcdef01. L'ISPB 37839059 identifie Owem Pay.
Exemple
bash
curl -X GET https://api.owem.com.br/api/external/transactions/e2e/E37839059202603091530abcdef01 \
-H "Authorization: ApiKey $CLIENT_ID:$CLIENT_SECRET"Reponse de Succes -- 200
json
{
"worked": true,
"data": {
"id": "c7f3a8b1-2d4e-4f6a-9c1b-3e5f7a9b1d3e",
"transaction_id": "PIXOUT20260309a1b2c3d4e5f6",
"end_to_end_id": "E37839059202603091530abcdef01",
"external_id": "order-9876",
"type": "pix",
"direction": "outbound",
"status": "completed",
"amount": 300000,
"fee_amount": 350,
"net_amount": 300350,
"description": "Pagamento fornecedor",
"counterparty_name": "Joao Silva",
"recipient_key": "12345678901",
"created_at": "2026-03-09T15:30:00Z",
"completed_at": "2026-03-09T15:30:02Z"
}
}La structure de reponse est identique a la consultation par ID. Toutes les valeurs monetaires sont en unites de base (/ 10 000 pour reais).
Reponse d'Erreur -- 404
json
{
"worked": false,
"detail": "Transacao nao encontrada para o E2E ID informado"
}